Wind River Support Network

HomeDefectsLIN5-21268
Fixed

LIN5-21268 : Security Advisory - linux - CVE-2016-0821

Created: Mar 14, 2016    Updated: May 29, 2018
Resolved Date: Jul 25, 2016
Found In Version: 5.0.1.35
Fix Version: 5.0.1.37
Severity: Standard
Applicable for: Wind River Linux 5
Component/s: Kernel

Description

The LIST_POISON feature in include/linux/poison.h in the Linux kernel before 4.3, as used in Android 6.0.1 before 2016-03-01, does not properly consider the relationship to the mmap_min_addr value, which makes it easier for attackers to bypass a poison-pointer protection mechanism by triggering the use of an uninitialized list entry, aka Android internal bug 26186802, a different vulnerability than CVE-2015-3636.

http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2016-0821

Other Downloads


Live chat
Online